package com.sifang.modules.changes.vo;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.util.List;

public class AddDesignChangeReq {
    private String reason;
    @NotBlank
    private String entryId;
    @NotBlank
    private String projectId;
    @NotNull
    private List<AddDesignChangeComponentReq> components;
    @NotBlank
    private String schemeType;
    @NotBlank
    private String preSchemeType;
    @NotBlank
    private String schemeTypeId;
    @NotBlank
    private String preSchemeTypeId;
    @NotBlank
    private String schemeTypeName;
    @NotBlank
    private String preSchemeTypeName;
    @NotBlank
    private String schemeName;
    @NotBlank
    private String preSchemeName;
    @NotBlank
    private String schemeId;
    @NotBlank
    private String preSchemeId;
    /**
     * 逗号分隔
     */
    private String dzDoc;
    private String preDzDoc;
    private String zjzxImgDoc;
    private String preZjzxImgDoc;
    private String zjhsImgDoc;
    private String preZjhsImgDoc;
    private String zjcsImgDoc;
    private String preZjcsImgDoc;
    private String zjpbImgDoc;
    private String preZjpbImgDoc;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getPreZjzxImgDoc() {
        return preZjzxImgDoc;
    }

    public void setPreZjzxImgDoc(String preZjzxImgDoc) {
        this.preZjzxImgDoc = preZjzxImgDoc;
    }

    public String getPreZjhsImgDoc() {
        return preZjhsImgDoc;
    }

    public void setPreZjhsImgDoc(String preZjhsImgDoc) {
        this.preZjhsImgDoc = preZjhsImgDoc;
    }

    public String getPreZjcsImgDoc() {
        return preZjcsImgDoc;
    }

    public void setPreZjcsImgDoc(String preZjcsImgDoc) {
        this.preZjcsImgDoc = preZjcsImgDoc;
    }

    public String getPreZjpbImgDoc() {
        return preZjpbImgDoc;
    }

    public void setPreZjpbImgDoc(String preZjpbImgDoc) {
        this.preZjpbImgDoc = preZjpbImgDoc;
    }

    public String getZjzxImgDoc() {
        return zjzxImgDoc;
    }

    public void setZjzxImgDoc(String zjzxImgDoc) {
        this.zjzxImgDoc = zjzxImgDoc;
    }

    public String getZjhsImgDoc() {
        return zjhsImgDoc;
    }

    public void setZjhsImgDoc(String zjhsImgDoc) {
        this.zjhsImgDoc = zjhsImgDoc;
    }

    public String getZjcsImgDoc() {
        return zjcsImgDoc;
    }

    public void setZjcsImgDoc(String zjcsImgDoc) {
        this.zjcsImgDoc = zjcsImgDoc;
    }

    public String getZjpbImgDoc() {
        return zjpbImgDoc;
    }

    public void setZjpbImgDoc(String zjpbImgDoc) {
        this.zjpbImgDoc = zjpbImgDoc;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public List<AddDesignChangeComponentReq> getComponents() {
        return components;
    }

    public void setComponents(List<AddDesignChangeComponentReq> components) {
        this.components = components;
    }

    public String getDzDoc() {
        return dzDoc;
    }

    public void setDzDoc(String dzDoc) {
        this.dzDoc = dzDoc;
    }

    public String getPreDzDoc() {
        return preDzDoc;
    }

    public void setPreDzDoc(String preDzDoc) {
        this.preDzDoc = preDzDoc;
    }

    public String getSchemeType() {
        return schemeType;
    }

    public void setSchemeType(String schemeType) {
        this.schemeType = schemeType;
    }

    public String getPreSchemeType() {
        return preSchemeType;
    }

    public void setPreSchemeType(String preSchemeType) {
        this.preSchemeType = preSchemeType;
    }

    public String getSchemeTypeId() {
        return schemeTypeId;
    }

    public void setSchemeTypeId(String schemeTypeId) {
        this.schemeTypeId = schemeTypeId;
    }

    public String getPreSchemeTypeId() {
        return preSchemeTypeId;
    }

    public void setPreSchemeTypeId(String preSchemeTypeId) {
        this.preSchemeTypeId = preSchemeTypeId;
    }

    public String getSchemeTypeName() {
        return schemeTypeName;
    }

    public void setSchemeTypeName(String schemeTypeName) {
        this.schemeTypeName = schemeTypeName;
    }

    public String getPreSchemeTypeName() {
        return preSchemeTypeName;
    }

    public void setPreSchemeTypeName(String preSchemeTypeName) {
        this.preSchemeTypeName = preSchemeTypeName;
    }

    public String getSchemeName() {
        return schemeName;
    }

    public void setSchemeName(String schemeName) {
        this.schemeName = schemeName;
    }

    public String getPreSchemeName() {
        return preSchemeName;
    }

    public void setPreSchemeName(String preSchemeName) {
        this.preSchemeName = preSchemeName;
    }

    public String getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    public String getPreSchemeId() {
        return preSchemeId;
    }

    public void setPreSchemeId(String preSchemeId) {
        this.preSchemeId = preSchemeId;
    }

}
